#include "LeaderReplyPkg.h"

LeaderReplyPkg::LeaderReplyPkg(int a, bool ack) : TelepatiPkg(){
  type=LEADERREPLY;
  aibo=a;
  needAck=ack;
}

LeaderReplyPkg::LeaderReplyPkg(byte* ptr) : TelepatiPkg(ptr){
}


LeaderReplyPkg::~LeaderReplyPkg(){
}

TelepatiPkg* LeaderReplyPkg::clone(){
  LeaderReplyPkg* clone=new LeaderReplyPkg(aibo, needAck);
  clone->serialNum=serialNum;
  return clone;
}



byte* LeaderReplyPkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
